### Method

# WebKit WebContext set_web_process_extensions_directory

#### Declaration [src]

    void
    webkit_web_context_set_web_process_extensions_directory (
      WebKitWebContext* context,
      const gchar* directory
    )

#### Description [src]

Set the directory where WebKit will look for web process extensions.

This method must be called before loading anything in this context, otherwise it will not have any effect. You can connect to `WebKitWebContext::initialize-web-process-extensions` to call this method before anything is loaded.

#### Parameters

`directory`

  Type: `const gchar*`

  The directory to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.